### 2.23 `ctanh`, `ctanf`—complex hyperbolic tangent

Synopsis

         #include <complex.h>
         double complex ctanh(double complex z);
         float complex ctanhf(float complex z);

Description
These functions compute the complex hyperbolic tangent of z.

`ctanhf` is identical to `ctanh`, except that it performs its calculations on `floats complex`.

Returns
These functions return the complex hyperbolic tangent value.

Portability
`ctanh` and `ctanhf` are ISO C99